Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| ExceptionConversion constructor. More...
| getUserPreferenceByUserIdAndName (int $userId, string $name)
  | {Get UserPreference by its user ID and name. Parameters
  int | $userId |
  string | $name |
Returns array } More...
| countUserPreferences (int $userId)
  | { Parameters
  int | $userId |
Returns int } More...
| loadUserPreferences (int $userId, int $offset=0, int $limit=-1)
  | { Parameters
  int | $userId |
  int | $offset |
  int | $limit |
Returns array } More...
| setUserPreference (UserPreferenceSetStruct $setStruct)
  | {Store UserPreference ValueObject in persistent storage. Parameters
  \eZ\Publish\SPI\Persistence\UserPreference\UserPreferenceSetStruct | $userPreference |
Returns int } More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 17 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

ExceptionConversion constructor.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway | $innerGateway |

Definition at line 31 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ countUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::countUserPreferences | ( | int | $userId | ) |

{

Parameters

  int | $userId |

Returns
  int

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway.

Definition at line 51 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

## ◆ getUserPreferenceByUserIdAndName()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::getUserPreferenceByUserIdAndName | ( | int | $userId,
|  | string | $name
| ) |  |

{Get UserPreference by its user ID and name.

Parameters

  int | $userId |
  string | $name |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway.

Definition at line 39 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

## ◆ loadUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::loadUserPreferences | ( | int | $userId,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

{

Parameters

  int | $userId |
  int | $offset |
  int | $limit |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway.

Definition at line 63 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

## ◆ setUserPreference()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::setUserPreference | ( | UserPreferenceSetStruct | $setStruct | ) |

{Store UserPreference ValueObject in persistent storage.

Parameters

  \eZ\Publish\SPI\Persistence\UserPreference\UserPreferenceSetStruct | $userPreference |

Returns
  int

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway.

Definition at line 75 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 24 of file Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/UserPreference/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.